Summary:	Netscape Portable Runtime (NSPR)
Summary(pl.UTF-8):	Przenośne biblioteki uruchomieniowe Netscape
Name:		nspr
Version:	4.10.8
Release:	1
Epoch:		1
License:	MPL v2.0
Group:		Libraries
Source0:	http://ftp.mozilla.org/pub/mozilla.org/nspr/releases/v%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	8d7c5bd0a5b0a7d0e705be66479030a0
Patch0:		%{name}-pc.patch
URL:		http://www.mozilla.org/projects/nspr/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	sed >= 4.0
Obsoletes:	nspr-pthreads
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libraries that implement cross-platform runtime services from
Netscape.

%description -l pl.UTF-8
Biblioteki z wieloplatformową implementacją usług
uruchomieniowych Netscape'a.

%package devel
Summary:	NSPR library header files for development
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek NSPR
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	nspr-pthreads-devel

%description devel
Header files for the NSPR library from Netscape.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek NSPR Netscape'a.

%package static
Summary:	Static NSPR library
Summary(pl.UTF-8):	Statyczna biblioteka NSPR
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	nspr-pthreads-static

%description static
Static NSPR library.

%description static -l pl.UTF-8
Statyczna biblioteka NSPR.

%prep
%setup -q
%patch0 -p1

%build
cd nspr
cp -f /usr/share/automake/config.sub build/autoconf
%{__autoconf}
%configure \
	--includedir=%{_includedir}/nspr \
%ifarch %{x8664} ppc64
	--enable-64bit \
%endif
%ifarch x32
	--enable-x32 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug \
	--enable-ipv6 \
	--enable-optimize="%{rpmcflags}" \
	--with-mozilla \
	--with-pthreads

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C nspr install \
	DESTDIR=$RPM_BUILD_ROOT

# for compatibility (upstream installs only nspr.nc); to be dropped sometime?
ln -s nspr.pc $RPM_BUILD_ROOT%{_pkgconfigdir}/mozilla-nspr.pc

%{__rm} $RPM_BUILD_ROOT%{_bindir}/{compile-et.pl,prerr.properties}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnspr4.so
%attr(755,root,root) %{_libdir}/libplc4.so
%attr(755,root,root) %{_libdir}/libplds4.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nspr-config
%{_includedir}/nspr
%{_aclocaldir}/nspr.m4
%{_pkgconfigdir}/mozilla-nspr.pc
%{_pkgconfigdir}/nspr.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnspr4.a
%{_libdir}/libplc4.a
%{_libdir}/libplds4.a
%changelog
* Wed Mar 18 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/nspr.git;a=log;h=auto/th/nspr-4.10.8-1

* Tue Jan 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 93557e6
- updated to 4.10.8

* Sun Dec 21 2014 Jan Rękorajski <baggins@pld-linux.org> a030bc7
- fix build for x32 arch

* Thu Aug 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 040c8eb
- updated to 4.10.7

* Mon Jun 09 2014 Jakub Bogusz <qboosh@pld-linux.org> d83e014
- updated to 4.10.6

* Sat May 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 957517c
- updated to 4.10.5
- removed obsolete acfix patch; autoconf 2.61+ is now required
- License is (GPL-compatible) MPL v2.0 now

* Sat Mar 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 881178f
- updated to 4.10.4

* Sat Feb 01 2014 Jan Palus <jan.palus@gmail.com> 4cd1d64
- up to 4.10.3

* Thu Nov 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 3bdb1d9
- updated to 4.10.2

* Wed Oct 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 5402efd
- updated to 4.10.1

* Sat Jun 08 2013 Jakub Bogusz <qboosh@pld-linux.org> ac204f0
- updated to 4.10
- updated acfix,pc patches
- removed obsolete sparc64 patch

* Wed Mar 27 2013 Jakub Bogusz <qboosh@pld-linux.org> f4ed6fe
- updated to 4.9.6

* Wed Feb 20 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4916966
- up to 4.9.5

* Thu Nov 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 5f05485
- updated to 4.9.4

* Tue Oct 30 2012 Jakub Bogusz <qboosh@pld-linux.org> c208a97
- updated to 4.9.3

* Thu Aug 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 7a34daa
- updated to 4.9.2

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 232d413
- updated to 4.9.1
- upstream now installs nspr.pc, so use it instead of additional source;
  added pc patch to provide Libs.private, include mozilla-nspr.pc symlink for compatibility

* Wed Feb 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 03280b3
- updated to 4.9
- updated acfix patch

* Sun Aug 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e38160e
- up to 4.8.9

* Wed May 11 2011 Jakub Bogusz <qboosh@pld-linux.org> f292d21
- updated to 4.8.8

* Sat Jan 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 5929975
- updated to 4.8.7

